curl --request GET \
--url https://server.twicecommerce.com/v1/admin/customers \
--header 'X-API-KEY: <api-key>'import requests
url = "https://server.twicecommerce.com/v1/admin/customers"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://server.twicecommerce.com/v1/admin/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://server.twicecommerce.com/v1/admin/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://server.twicecommerce.com/v1/admin/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://server.twicecommerce.com/v1/admin/customers")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://server.twicecommerce.com/v1/admin/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"email": "jsmith@example.com",
"customerType": "individual",
"marketingConsent": true,
"status": "active",
"aggregateData": {
"totalCount": 123,
"lastCreated": "2023-11-07T05:31:56Z",
"lastUpdated": "2023-11-07T05:31:56Z"
},
"lastName": "<string>",
"phone": "<string>",
"companyName": "<string>",
"taxId": "<string>",
"dateOfBirth": "<string>",
"language": "<string>",
"marketingConsentUpdatedAt": "<string>",
"billingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"shippingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"archivedAt": "2023-11-07T05:31:56Z",
"attributes": {
"id": "<string>",
"name": "<string>",
"key": "<string>",
"value": "<string>",
"format": "text",
"groupId": "<string>",
"groupName": "<string>",
"systemGroup": "sustainability",
"origin": "article",
"smartFieldMeta": {
"lastComputedAt": "2023-11-07T05:31:56Z",
"lastError": "<string>",
"stale": true,
"inputs": {
"tracked": true,
"missing": [
"<string>"
],
"deleted": [
"<string>"
],
"changed": {
"label": "<string>",
"previous": "<string>",
"current": "<string>"
},
"definitionChanged": true
}
}
},
"documents": {
"fileId": "<string>",
"customerId": "<string>",
"orderIndex": 123,
"comment": "<string>",
"document": {
"id": "<string>",
"tenantId": "<string>",
"fileUrl": "<string>",
"mimeType": "<string>",
"originalName": "<string>",
"folderPath": "<string>",
"size": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"updatedById": "<string>",
"createdById": "<string>"
}
},
"tags": {
"id": "<string>",
"value": "<string>",
"scope": "inventory",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"totalCount": 123
}{
"message": "<string>"
}Get all customers
Lists CRM customers with filtering and pagination.
API key scope: one of customers.read.
curl --request GET \
--url https://server.twicecommerce.com/v1/admin/customers \
--header 'X-API-KEY: <api-key>'import requests
url = "https://server.twicecommerce.com/v1/admin/customers"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://server.twicecommerce.com/v1/admin/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://server.twicecommerce.com/v1/admin/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://server.twicecommerce.com/v1/admin/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://server.twicecommerce.com/v1/admin/customers")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://server.twicecommerce.com/v1/admin/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"email": "jsmith@example.com",
"customerType": "individual",
"marketingConsent": true,
"status": "active",
"aggregateData": {
"totalCount": 123,
"lastCreated": "2023-11-07T05:31:56Z",
"lastUpdated": "2023-11-07T05:31:56Z"
},
"lastName": "<string>",
"phone": "<string>",
"companyName": "<string>",
"taxId": "<string>",
"dateOfBirth": "<string>",
"language": "<string>",
"marketingConsentUpdatedAt": "<string>",
"billingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"shippingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"archivedAt": "2023-11-07T05:31:56Z",
"attributes": {
"id": "<string>",
"name": "<string>",
"key": "<string>",
"value": "<string>",
"format": "text",
"groupId": "<string>",
"groupName": "<string>",
"systemGroup": "sustainability",
"origin": "article",
"smartFieldMeta": {
"lastComputedAt": "2023-11-07T05:31:56Z",
"lastError": "<string>",
"stale": true,
"inputs": {
"tracked": true,
"missing": [
"<string>"
],
"deleted": [
"<string>"
],
"changed": {
"label": "<string>",
"previous": "<string>",
"current": "<string>"
},
"definitionChanged": true
}
}
},
"documents": {
"fileId": "<string>",
"customerId": "<string>",
"orderIndex": 123,
"comment": "<string>",
"document": {
"id": "<string>",
"tenantId": "<string>",
"fileUrl": "<string>",
"mimeType": "<string>",
"originalName": "<string>",
"folderPath": "<string>",
"size": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"updatedById": "<string>",
"createdById": "<string>"
}
},
"tags": {
"id": "<string>",
"value": "<string>",
"scope": "inventory",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"totalCount": 123
}{
"message": "<string>"
}Authorizations
API key for the Twice API
Query Parameters
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
startsWith, endsWith, contains, doesNotContain, eq, ne, gt, gte, lt, lte, inArray, notInArray, between, notBetween, isEmpty, isNotEmpty, isToday, isBeforeToday, isAfterToday ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
startsWith, endsWith, contains, doesNotContain, eq, ne, gt, gte, lt, lte, inArray, notInArray, between, notBetween, isEmpty, isNotEmpty, isToday, isBeforeToday, isAfterToday Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
startsWith, endsWith, contains, doesNotContain, eq, ne, gt, gte, lt, lte, inArray, notInArray, between, notBetween, isEmpty, isNotEmpty, isToday, isBeforeToday, isAfterToday ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
startsWith, endsWith, contains, doesNotContain, eq, ne, gt, gte, lt, lte, inArray, notInArray, between, notBetween, isEmpty, isNotEmpty, isToday, isBeforeToday, isAfterToday text, number, boolean, date, datetime, select, multiselect active, archived, all Hide child attributes
Hide child attributes
tags, billingStreet, billingZipCode, billingCity, billingState, billingCountry, shippingStreet, shippingZipCode, shippingCity, shippingState, shippingCountry, createdAt, firstName, lastName, fullName, email, phone, marketingConsent, language, customerType, companyName, taxId, dateOfBirth asc, desc Response
200
Hide child attributes
Hide child attributes
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$individual, business active, archived Hide child attributes
Hide child attributes
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Hide child attributes
Hide child attributes
text, number, boolean, date, datetime, formula, select, multiselect, smart_field sustainability, system article, sku, customer, catalog Hide child attributes
Hide child attributes
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
inventory, catalog, customers, orders ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Was this page helpful?